#include <iostream>
using namespace std;

int main()
{
    int n,d,k,suma=1,dokydeSme=1;
    cin>>n>>d>>k;
    for(int i=1; i<=k; i++)
    {
        if(dokydeSme==0)
        {
            dokydeSme=1;
        }
        dokydeSme+=d;
        if(dokydeSme>n)
        {
            dokydeSme=dokydeSme-n;
        }
        suma+=dokydeSme;
    }
    cout<<suma;
    return 0;
}